/* Template created by S-ARTs.ru | Code: CheLiOS | Design: spammer44 | URL: http://s-arts.ru */

/* Добавление класса пункту меню в шапке */
$(document).ready(function(){
	$('.top_menu li.sublinks').hover(
		function() { $(this).addClass("selected"); },
		function() { $(this).removeClass("selected"); }
	);
});

$(document).ready(function(){
	$('#big_carousel1 li .slider1_info').hover(
		function() { $(this).addClass("qwe"); },
		function() { $(this).removeClass("qwe"); }
	);
});

/* Всплывающее окно авторизации */
$(document).ready(function(){
	$('a.poplight[href^=#]').click(function() {
		var popID = $(this).attr('rel');
		var popURL = $(this).attr('href');
		var query= popURL.split('?');
		var dim= query[1].split('&');
		var popWidth = dim[0].split('=')[1];

		$('#' + popID).fadeIn().css({ 'width': Number( popWidth ) }).prepend('<a href="#" class="close"><b>close</b></a>');
		
		var popMargTop = ($('#' + popID).height() + 85) / 2;
		var popMargLeft = ($('#' + popID).width() + 85) / 2;
		
		$('#' + popID).css({ 
			'margin-top' : -popMargTop,
			'margin-left' : -popMargLeft
		});
		
		$('body').append('<div id="fade"></div>');
		$('#fade').css({'filter' : 'alpha(opacity=85)'}).fadeIn();
		
		return false;
	});
	
	$('a.close, #fade').live('click', function() {
	  	$('#fade, .popup_block').fadeOut(function() {
			$('#fade, a.close').remove();  
	});
		return false;
	});
});

/* Сортер выпадалка */
$(document).ready(function(){
		$('.sortn').hover(
		function() {
			$(this).addClass("select");
			$(this).find('form').stop(true, true);
			$(this).find('form').show('fast');
		},
		function() {
			$(this).find('form').hide('fast');
			$(this).removeClass("select");
		}
	);
});



$(document).ready(function(){
	$(".full_play").click(function(){
		$(".full_mov1").addClass("see");
		$(".full_mov2").removeClass("see");
		$(".full_play").addClass("act");
		$(".full_trail").removeClass("act");
		return false;
	});
	$(".full_trail").click(function(){
		$(".full_mov2").addClass("see");
		$(".full_mov1").removeClass("see");
		$(".full_trail").addClass("act");
		$(".full_play").removeClass("act");
		return false;
	});
});